Package com.avaya.clientservices.call.feature

## Enum FeatureLabelError

- java.lang.Object
- - java.lang.Enum<FeatureLabelError>
  - - com.avaya.clientservices.call.feature.FeatureLabelError

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<FeatureLabelError>`

      public enum FeatureLabelError
      extends java.lang.Enum<FeatureLabelError>

  Errors generated for setting personalized button .

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTHENTICATION_FAILED` | The user's userid or password is invalid.
    `BACKEND_SOURCE_NOT_CONNECTABLE` | Unable to connect to server/source (server down, email client not installed, etc).
    `BUTTON_NOT_FOUND` | The request from the endpoint is for a button that has been deleted on server.
    `CONFIGURATION_MISMATCH` | Extension not configured on the server or internal server error.
    `DATABASE_ERROR` | The operation failed due to database error.
    `DATABASE_NOT_ACCESSIBLE` | Unable to access the database.
    `DIGEST_MISMATCH` | Digest Authentication failed.
    `FAILURE_UNKNOWN_REASON` | Setting personalized label failed for unknown reason.
    `HANDLE_INVALID` | Missing or invalid provider handle.
    `INTERNAL_ERROR` | Unexpected exception in processing the request.
    `INVALID_VALUE` | Invalid field value.
    `NO_LIST_AVAILABLE` | The request from the endpoint did not contain any data.
    `NOT_IM_USER` | Requested user does not exist in the Enterprise database.
    `REQUEST_TIMEOUT` | Communication server is reachable, but request timed out.
    `RETRY` | Provider is busy.
    `SECURE_CONNECTION_FAILED` | Some problem connecting related to secure network problems such as certificates missing.
    `UPDATE_IN_PROGRESS` | Setting personalized label operation is in progress already.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FeatureLabelError` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static FeatureLabelError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAILURE_UNKNOWN_REASON

          public static final FeatureLabelError FAILURE_UNKNOWN_REASON

      Setting personalized label failed for unknown reason.

    - #### UPDATE_IN_PROGRESS

          public static final FeatureLabelError UPDATE_IN_PROGRESS

      Setting personalized label operation is in progress already.

    - #### BACKEND_SOURCE_NOT_CONNECTABLE

          public static final FeatureLabelError BACKEND_SOURCE_NOT_CONNECTABLE

      Unable to connect to server/source (server down, email client not installed, etc).

    - #### AUTHENTICATION_FAILED

          public static final FeatureLabelError AUTHENTICATION_FAILED

      The user's userid or password is invalid.

    - #### SECURE_CONNECTION_FAILED

          public static final FeatureLabelError SECURE_CONNECTION_FAILED

      Some problem connecting related to secure network problems such as certificates missing. Unable to create a secure connection to the server. This may be caused by missing or invalid certificates.

    - #### REQUEST_TIMEOUT

          public static final FeatureLabelError REQUEST_TIMEOUT

      Communication server is reachable, but request timed out.

    - #### INTERNAL_ERROR

          public static final FeatureLabelError INTERNAL_ERROR

      Unexpected exception in processing the request.

    - #### DATABASE_NOT_ACCESSIBLE

          public static final FeatureLabelError DATABASE_NOT_ACCESSIBLE

      Unable to access the database. This may be due to invalid credential or the database is down.

    - #### DATABASE_ERROR

          public static final FeatureLabelError DATABASE_ERROR

      The operation failed due to database error.

    - #### CONFIGURATION_MISMATCH

          public static final FeatureLabelError CONFIGURATION_MISMATCH

      Extension not configured on the server or internal server error.

    - #### NOT_IM_USER

          public static final FeatureLabelError NOT_IM_USER

      Requested user does not exist in the Enterprise database.

    - #### INVALID_VALUE

          public static final FeatureLabelError INVALID_VALUE

      Invalid field value.

    - #### NO_LIST_AVAILABLE

          public static final FeatureLabelError NO_LIST_AVAILABLE

      The request from the endpoint did not contain any data.

    - #### BUTTON_NOT_FOUND

          public static final FeatureLabelError BUTTON_NOT_FOUND

      The request from the endpoint is for a button that has been deleted on server.

    - #### RETRY

          public static final FeatureLabelError RETRY

      Provider is busy. Retry later

    - #### HANDLE_INVALID

          public static final FeatureLabelError HANDLE_INVALID

      Missing or invalid provider handle.

    - #### DIGEST_MISMATCH

          public static final FeatureLabelError DIGEST_MISMATCH

      Digest Authentication failed. This may be due to nonce mismatch or mechanism not supported.

  - ### Method Detail

    - #### values

          public static FeatureLabelError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FeatureLabelError c : FeatureLabelError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FeatureLabelError valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null